Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.models.security

# Interface SecurityScheme

All Superinterfaces:
  `Constructible`, `Extensible<SecurityScheme>`, `Reference<SecurityScheme>`

public interface SecurityScheme extends Constructible, Extensible<SecurityScheme>, Reference<SecurityScheme>
SecurityScheme

See Also:
  - OpenAPI Specification Security Scheme Object

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`SecurityScheme.In`
In is a REQUIRED property that specifies the location of the API key.
`static enum`
`SecurityScheme.Type`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.

## Method Summary

Modifier and Type
Method
Description
`default SecurityScheme`
`bearerFormat(String bearerFormat)`
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted.
`default SecurityScheme`
`description(String description)`
A short description for security schema.
`default SecurityScheme`
`flows(OAuthFlows flows)`
Flows is a REQUIRED property.
`String`
`getBearerFormat()`
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted.
`String`
`getDescription()`
A short description for security schema.
`OAuthFlows`
`getFlows()`
Flows is a REQUIRED property.
`SecurityScheme.In`
`getIn()`
In is a REQUIRED property that indicates the location of the API key.
`String`
`getName()`
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.
`String`
`getOpenIdConnectUrl()`
openIdConnectUrl is a REQUIRED property.
`String`
`getScheme()`
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.
`SecurityScheme.Type`
`getType()`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.
`default SecurityScheme`
`in(SecurityScheme.In in)`
In is a REQUIRED property that indicates the location of the API key.
`default SecurityScheme`
`name(String name)`
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.
`default SecurityScheme`
`openIdConnectUrl(String openIdConnectUrl)`
penIdConnectUrl is a REQUIRED property.
`default SecurityScheme`
`scheme(String scheme)`
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.
`void`
`setBearerFormat(String bearerFormat)`
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted.
`void`
`setDescription(String description)`
A short description for security schema.
`void`
`setFlows(OAuthFlows flows)`
Flows is a REQUIRED property.
`void`
`setIn(SecurityScheme.In in)`
In is a REQUIRED property that indicates the location of the API key.
`void`
`setName(String name)`
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.
`void`
`setOpenIdConnectUrl(String openIdConnectUrl)`
openIdConnectUrl is a REQUIRED property.
`void`
`setScheme(String scheme)`
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.
`void`
`setType(SecurityScheme.Type type)`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.
`default SecurityScheme`
`type(SecurityScheme.Type type)`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Reference

`getRef, ref, setRef`

## Method Details

### getType

SecurityScheme.Type getType()
Type is a REQUIRED property that specifies the type of SecurityScheme instance.

This method returns the type property from SecurityScheme instance.

Returns:
  Type type

### setType

void setType(SecurityScheme.Type type)
Type is a REQUIRED property that specifies the type of SecurityScheme instance.

This method sets the type property of SecurityScheme instance to the given Type argument.

Parameters:
  `type` - the type of SecurityScheme instance

### type

default SecurityScheme type(SecurityScheme.Type type)
Type is a REQUIRED property that specifies the type of SecurityScheme instance.

This method sets the type property of SecurityScheme instance to the given Type argument and returns the modified instance.

Parameters:
  `type` - the type of SecurityScheme instance
Returns:
  SecurityScheme instance with the set type property

### getDescription

String getDescription()
A short description for security schema.

This method returns the description property from SecurityScheme instance.

Returns:
  String description

### setDescription

void setDescription(String description)
A short description for security schema.

This method sets the description property of SecurityScheme instance.

Parameters:
  `description` - short description of the SecuirtyScheme instance

### description

default SecurityScheme description(String description)
A short description for security schema.

This method sets the description property of SecurityScheme instance and returns the modified instance.

Parameters:
  `description` - short description of the SecuirtyScheme instance
Returns:
  SecurityScheme instance with the set description property

### getName

String getName()
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.

This method returns the name property from SecurityScheme instance.

Returns:
  String name

### setName

void setName(String name)
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.

This method sets the name property of SecurityScheme instance to the parameter.

Parameters:
  `name` - the name of the header, query or cookie parameter to be used

### name

default SecurityScheme name(String name)
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.

This method sets the name property of SecurityScheme instance to the given String argument and returns the modified instance.

Parameters:
  `name` - the name of the header, query or cookie parameter to be used
Returns:
  SecurityScheme instance with the set name property

### getIn

SecurityScheme.In getIn()
In is a REQUIRED property that indicates the location of the API key. Valid values are "query", "header", "cookie".

This method returns the in property from SecurityScheme instance.

Returns:
  In in

### setIn

void setIn(SecurityScheme.In in)
In is a REQUIRED property that indicates the location of the API key. Valid values are "query", "header", "cookie".

The method sets the in property of SecurityScheme instance to the given In argument.

Parameters:
  `in` - the location of the API key

### in

default SecurityScheme in(SecurityScheme.In in)
In is a REQUIRED property that indicates the location of the API key. Valid values are "query", "header", "cookie".

This method sets the in property of SecurityScheme instance to the given In argument and returns the modified instance.

Parameters:
  `in` - the location of the API key
Returns:
  SecurityScheme instance with the set in property

### getScheme

String getScheme()
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.

This method returns the scheme property from SecurityScheme instance.

Returns:
  String scheme

### setScheme

void setScheme(String scheme)
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.

This method sets the scheme property of SecurityScheme instance to the given String argument.

Parameters:
  `scheme` - the name of the HTTP Authorization scheme to be used in the Authorization header

### scheme

default SecurityScheme scheme(String scheme)
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.

This method sets the scheme property of SecurityScheme instance to the given String argument and returns the modified instance.

Parameters:
  `scheme` - the name of the HTTP Authorization scheme to be used in the Authorization header
Returns:
  SecurityScheme instance with the set scheme property

### getBearerFormat

String getBearerFormat()
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.

This method returns the bearerFormat property from SecurityScheme instance.

Returns:
  String bearerFormat

### setBearerFormat

void setBearerFormat(String bearerFormat)
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.

This method sets the bearerFormat property of SecurityScheme instance to the given String argument.

Parameters:
  `bearerFormat` - a hint to the client to identify how the bearer token is formatted

### bearerFormat

default SecurityScheme bearerFormat(String bearerFormat)
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.

This method sets the bearerFormat property of SecurityScheme instance to the given String argument and returns the modified instance.

Parameters:
  `bearerFormat` - a hint to the client to identify how the bearer token is formatted
Returns:
  SecurityScheme instance with the set bearerFormat property

### getFlows

OAuthFlows getFlows()
Flows is a REQUIRED property.

Flows is an object containing configuration information for the flow types supported.

This method returns the flows property from SecurityScheme instance.

Returns:
  OAuthFlows flows

### setFlows

void setFlows(OAuthFlows flows)
Flows is a REQUIRED property.

Flows is an object containing configuration information for the flow types supported.

This method sets the flows property of SecurityScheme instance to the given OAuthFlows argument.

Parameters:
  `flows` - an object containing configuration information for the flow types supported

### flows

default SecurityScheme flows(OAuthFlows flows)
Flows is a REQUIRED property.

Flows is an object containing configuration information for the flow types supported.

This method sets the flows property of SecurityScheme instance to the given OAuthFlows argument and returns the modified instance.

Parameters:
  `flows` - an object containing configuration information for the flow types supported
Returns:
  SecurityScheme instance with the set flows property

### getOpenIdConnectUrl

String getOpenIdConnectUrl()
openIdConnectUrl is a REQUIRED property.

This property allows to discover OAuth2 configuration values. openIdConnectUrl MUST be in a form of a URL.

This method returns the openIdConnectUrl property from SecurityScheme instance.

Returns:
  String openIdConnectUrl

### setOpenIdConnectUrl

void setOpenIdConnectUrl(String openIdConnectUrl)
openIdConnectUrl is a REQUIRED property.

This property allows to discover OAuth2 configuration values. openIdConnectUrl MUST be in a form of a URL.

This method sets the openIdConnectUrl property of a SecurityScheme instance to the given String argument.

Parameters:
  `openIdConnectUrl` - a URL where OAuth2 configuration values are stored

### openIdConnectUrl

default SecurityScheme openIdConnectUrl(String openIdConnectUrl)
penIdConnectUrl is a REQUIRED property.

This property allows to discover OAuth2 configuration values. openIdConnectUrl MUST be in a form of a URL.

This method sets the openIdConnectUrl property of SecurityScheme instance to the given String argument and returns the modified instance.

Parameters:
  `openIdConnectUrl` - a URL where OAuth2 configuration values are stored
Returns:
  SecurityScheme instance with the set openIdConnectUrl property